Skip to main content
PUT
/
api
/
slides
/
{slideId}
Update a slide
curl --request PUT \
  --url https://app.demandiq.com/api/slides/{slideId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "bullets": [
    "<string>"
  ],
  "narrationScript": "<string>",
  "slideContext": "<string>",
  "audioUrl": "<string>",
  "heroImg": "<string>",
  "wordTimings": [
    {
      "word": "<string>",
      "startTime": 123,
      "endTime": 123
    }
  ]
}
'
{
  "slide": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "slideId": "<string>",
    "title": "<string>",
    "bullets": [
      "<string>"
    ],
    "narrationScript": "<string>",
    "slideContext": "<string>",
    "audioUrl": "<string>",
    "heroImg": "<string>",
    "wordTimings": [
      {
        "word": "<string>",
        "startTime": 123,
        "endTime": 123
      }
    ],
    "orderIndex": 123,
    "slideType": "standard",
    "productData": {
      "subtitle": "<string>",
      "brandLogo": "<string>",
      "disclaimer": "<string>",
      "defaultSelectedTier": "good",
      "backgroundColor": "<string>",
      "selectionColor": "<string>",
      "roundTo": 123,
      "good": {},
      "better": {},
      "best": {}
    }
  }
}

Path Parameters

slideId
string<uuid>
required

Slide ID

Body

application/json
title
string
bullets
string[]
narrationScript
string
slideContext
string
audioUrl
string
heroImg
string
wordTimings
object[]

Response

Slide updated

slide
object